package com.ym.mec.collectfee.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_group_info):
 */
public class CourseGroupInfo {

	/** 课程组编号 */
	private Integer id;
	
	/** 课程组名称 */
	private String name;

	private Integer classId;
	
	/** 专业编号 */
	private Integer subId;
	
	/** 专业名称 */
	private String subName;
	
	/** 计划招生人数 */
	private Integer planNum;
	
	/** 实际招生人数 */
	private Integer regNum;
	
	/** 收费类型 */
	private Integer feeType;
	
	/** 收费金额 */
	private java.math.BigDecimal feeAmount;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private Integer version;

	public Integer getClassId() {
		return classId;
	}

	public void setClassId(Integer classId) {
		this.classId = classId;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setSubId(Integer subId){
		this.subId = subId;
	}
	
	public Integer getSubId(){
		return this.subId;
	}
			
	public void setSubName(String subName){
		this.subName = subName;
	}
	
	public String getSubName(){
		return this.subName;
	}
			
	public void setPlanNum(Integer planNum){
		this.planNum = planNum;
	}
	
	public Integer getPlanNum(){
		return this.planNum;
	}
			
	public void setRegNum(Integer regNum){
		this.regNum = regNum;
	}
	
	public Integer getRegNum(){
		return this.regNum;
	}
			
	public void setFeeType(Integer feeType){
		this.feeType = feeType;
	}
	
	public Integer getFeeType(){
		return this.feeType;
	}
			
	public void setFeeAmount(java.math.BigDecimal feeAmount){
		this.feeAmount = feeAmount;
	}
	
	public java.math.BigDecimal getFeeAmount(){
		return this.feeAmount;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public Integer getVersion() {
		return version;
	}

	public void setVersion(Integer version) {
		this.version = version;
	}
}
